// Static field

class A { }
class B extends A { }
class X { 
    static A f; // should point to both As and Bs.
}
class Y {
    void m(A ya) {
	X.f = ya;
    }
}

class Main {
    static public void main(String[] args) /*throws Exception*/ {
	

	Y c = new Y();
	c.m(new A());

	Y d = new Y();
	d.m(new B());

    }
}
